import { useContext } from "react";
import { AvatarContext } from "./AvatarProvider";

export function useAvatarDelivery(publicKey: string) {
    const context : any = useContext(AvatarContext);
    if (!context) {
        throw new Error("useAvatarDelivery must be used within an AvatarProvider");
    }
    return [context.deliveredAvatars.includes(publicKey), context.laterAvatarDelivery.bind(context), context.sendMyAvatarTo.bind(context)];
}